hlist_for_each_entry
Prev | Doubly Linked Lists | Next

## Name

hlist_for_each_entry — iterate over list of given type

## Synopsis

`hlist_for_each_entry (` |  | tpos,
|  | pos,
|  | head,
|  | member`)`;

## Arguments

`tpos`

  the type * to use as a loop cursor.

`pos`

  the &struct hlist_node to use as a loop cursor.

`head`

  the head for your list.

`member`

  the name of the hlist_node within the struct.

Prev | Up | Next
hlist_add_after_rcu | Home | hlist_for_each_entry_continue